MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024510Community[OCCT] OCCT:Codingpublic2014-01-02 03:542014-05-05 13:37
Reporterbarbier 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024510: Remove unused local variables
DescriptionHello,

Compilers warn against many occurrences of unused local variables.
This makes it harder to find real problems detected by the compiler.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0024513closedapn Open CASCADE Suspicious code highlighted by 0024510 

-  Notes
(0027372)
barbier (developer)
2014-01-02 04:17

Branch CR24510 pushed, please review.
(0027379)
abv (manager)
2014-01-03 12:13

Reviewed with some remarks. Denis, please have a look at my changes pushed to the same branch CR24510:

- Removal of unused variables caused additional compiler (MSVC) warnings on unused function arguments in a few places, and error in debug mode in one place; this is corrected.
- In a few places unused variables were initialized by value returned by function calls which have no useful side effects and thus are meaningless if their result is not used; this code is removed.
- In four places unused variables seemed to indicate the wrong code, I have created separate issue 0024513 for more in-depth investigation of this.

I consider the branch ready for testing
(0027381)
barbier (developer)
2014-01-03 12:40

Thanks, looks good to me.
(0027411)
mkv (tester)
2014-01-09 11:22

Dear BugMaster,

Branch CR24510 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 7bd83953e52b5bac68643d0585b0873f2753e0b8

Number of compiler warnings:

occt component :
Linux: 102 (104 on master)
Windows: 1 (1 on master)

products component :
Linux: 21 (21 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 359187228 / 358569064
Total CPU difference: 44289.48000000045 / 42226.03000000006

Testing on Windows:
Total MEMORY difference: 413165548 / 412791472
Total CPU difference: 30859.9375 / 31506.5

There are not differences in images found by testdiff.
(0027443)
barbier (developer)
2014-01-11 16:19

Hello,

Out of curiosity, what kind of warnings do you have on Linux? Maybe we already fixed them in OCE, and I could put those patches onto the top of my list of patches to submit on your tracker.
(0027445)
abv (manager)
2014-01-12 17:36
edited on: 2014-01-12 17:39

Hello Denis,

Unfortunately I have no direct access to Linux machine, will try to check compilation logs on master tomorrow.

As far as I know, the most of remaining ~ 50 warnings on Linux (i.e. by GCC) should be the ones related to violation of pointer aliasing rules, see 0024252. I guess that OCE did not corrected these warnings. The fix was actually made some time ago, just I had no sufficient time to complete its review (some changes look suboptimal to me, then the code related to conversion between big- and little-endian variables seems to be untestable as we now have Intel platform only). I have rebased branch CR24252 on current master, please comment in the notes to that issue if you have some remarks.

(0027449)
abv (manager)
2014-01-13 10:12

On Linux, the remaining warnings other than those related to aliasing are:

Aspect_ColorScale.cxx:510: enumeration value ‘Aspect_TOCSP_NONE’ not handled in switch
Aspect_ColorScale.cxx:510: enumeration value ‘Aspect_TOCSP_LEFT’ not handled in switch
Aspect_MarkerStyle.cxx:172: enumeration value ‘Aspect_TOM_BALL’ not handled in switch
HLRBRep_Curve.cxx:64: enumeration value ‘GeomAbs_OtherCurve’ not handled in switch
HLRBRep_Curve.cxx:64: enumeration value ‘GeomAbs_BezierCurve’ not handled in switch
HLRBRep_Curve.cxx:64: enumeration value ‘GeomAbs_BSplineCurve’ not handled in switch
HLRBRep_Curve.cxx:64: enumeration value ‘GeomAbs_Circle’ not handled in switch
HLRBRep_Curve.cxx:64: enumeration value ‘GeomAbs_Parabola’ not handled in switch
HLRBRep_Curve.cxx:64: enumeration value ‘GeomAbs_Hyperbola’ not handled in switch
NIS_Triangulated.cxx:776: comparison between signed and unsigned integer expressions
NIS_Triangulated.cxx:1077: comparison between signed and unsigned integer expressions
OSD_MAllocHook.cxx:501: comparison between signed and unsigned integer expressions
OSD_MAllocHook.cxx:532: comparison between signed and unsigned integer expressions
OpenGl_Workspace_2.cxx:48: ‘GLsizei getNearestPowOfTwo(GLsizei)’ defined but not used
OpenGl_Workspace_2.cxx:60: ‘void fitDimensionsRatio(Standard_Integer&, Standard_Integer&, Standard_Real)’ defined but not used
ProjLib_ComputeApprox.cxx:56: ‘void Parameters(const Handle_Adaptor3d_HCurve&, const Handle_Adaptor3d_HSurface&, const gp_Pnt&, Standard_Integer, Standard_Real, Standard_Real&, Standard_Real&)’ declared ‘static’ but never defined
RWStl.cxx:345: comparison between signed and unsigned integer expressions
TNaming_DeltaOnModification.cxx:73: enumeration value ‘TNaming_REPLACE’ not handled in switch
ViewerTest_ViewerCommands.cxx:2121: comparison between signed and unsigned integer expressions
(0027819)
abv (manager)
2014-02-07 20:18

New warnings in current master:

OpenGl_Workspace_2.cxx:60: ‘void fitDimensionsRatio(Standard_Integer&, Standard_Integer&, Standard_Real)’ defined but not used
OpenGl_Workspace_Raytrace.cxx:*: ‘_cl_mem* clCreateImage2D(_cl_context*, cl_mem_flags, const cl_image_format*, size_t, size_t, size_t, void*, cl_int*)’ is deprecated (declared at /dn29/PRODUCTS/maintenance/unix_6.6.1/opencl-icd-1.2.11.0-64/include/CL/cl.h:1170)

- Related Changesets
occt: master 96a95605
Timestamp: 2014-01-09 08:20:06
Author: barbier
Committer: bugmaster
Details ] Diff ]
0024510: Remove unused local variables

When warnings are enabled, compilers report lots of occurrences
of unused local variables, which makes it harder to find other
meaningful warnings.
This commit does not fix all unused local variables.

Fix new type conversion warning

Code cleaned to avoid MSVC compiler warnings on unused function arguments.
Several useless pieces of code are removed.
Changes in IntTools_EdgeFace.cxx, Blend_Walking_1.gxx, Bnd_BoundSortBox.cxx, ProjLib_ProjectedCurve.cxx are reverted (separated to specific issue for more in-depth analysis).
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_ApproxAFunc2Var.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_ApproxF2var.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_MathBase.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_Patch.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_SysBase.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_SysBase.hxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_LeastSquare.gxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_ResolConstraint.gxx Diff ] File ]
mod - src/Approx/Approx_ComputeLine.gxx Diff ] File ]
mod - src/Aspect/Aspect_ColorScale.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecAna.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/Blend/Blend_CSWalking_2.gxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Chamfer.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstRad.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_EvolRad.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2Cnt.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_7.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_8.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_IteratorSI.cxx Diff ] File ]
mod - src/BOPInt/BOPInt_Context.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_TolerCommands.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_CompCurve.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_CurvPointRadInv.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstConstRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstEvolRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfPointEvolRadInv.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimSurfaceTool.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CurveCommands.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_Builder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCyl.cxx Diff ] File ]
mod - src/CSLib/CSLib_Class2d.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDriver.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_Angle.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_PlanarAngle.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_DiameterPresentation.cxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_yaccintrf.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElC2d.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_2.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_5.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_6.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_8.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad.cxx Diff ] File ]
mod - src/GccAna/GccAna_Lin2dTanPer.cxx Diff ] File ]
mod - src/GccGeo/GccGeo_Circ2d2TanOn.gxx Diff ] File ]
mod - src/GccIter/GccIter_Circ2d2TanOn.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_TangentialDeflection.gxx Diff ] File ]
mod - src/GCPnts/GCPnts_UniformAbscissa.gxx Diff ] File ]
mod - src/Geom/Geom_BSplineSurface.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_1.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_FairCurveCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_ConstrainedFilling.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_EvolvedSection.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Pipe.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Sweep.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_TgtOnCoons.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_UniformSection.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GProp/GProp_SGProps.gxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Hider.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRTest/HLRTest.cxx Diff ] File ]
mod - src/IFGraph/IFGraph_Articulations.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_BasicDumper.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ListEditor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/IGESConvGeom/IGESConvGeom.cxx Diff ] File ]
mod - src/IntAna/IntAna_IntQuadQuad.cxx Diff ] File ]
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff ] File ]
mod - src/IntAna/IntAna_Quadric.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntPolyPolyGen.gxx Diff ] File ]
mod - src/IntCurve/IntCurve_Polygon2dGen.gxx Diff ] File ]
mod - src/Intf/Intf_InterferencePolygonPolyhedron.gxx Diff ] File ]
mod - src/Intf/Intf_InterferencePolyhedron.gxx Diff ] File ]
mod - src/IntImpParGen/IntImpParGen_Intersector.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALineToWLine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_2.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_5.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_LineConstructor.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Polyhedron.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RLine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_WLine.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.gxx Diff ] File ]
mod - src/IntTools/IntTools.cxx Diff ] File ]
mod - src/IntTools/IntTools_BeanBeanIntersector.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge_1.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking_1.gxx Diff ] File ]
mod - src/LDOM/LDOMParser.cxx Diff ] File ]
mod - src/LocOpe/LocOpe.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildWires.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Circuit.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - src/math/math_BracketedRoot.cxx Diff ] File ]
mod - src/math/math_FunctionAllRoots.cxx Diff ] File ]
mod - src/math/math_FunctionRoot.cxx Diff ] File ]
mod - src/math/math_Powell.cxx Diff ] File ]
mod - src/math/math_Recipes.cxx Diff ] File ]
mod - src/math/math_TrigonometricFunctionRoots.cxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OSD/OSD.cxx Diff ] File ]
mod - src/Primitives/Primitives_Wedge.gxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/QABugs/QABugs_2.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_RWFileDescription.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_RWFileName.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWCommonDatum.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWCompositeShapeAspect.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWDerivedShapeAspect.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWExtension.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBounds.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff ] File ]
mod - src/StlTransfer/StlTransfer.cxx Diff ] File ]
mod - src/TDF/TDF_CopyLabel.cxx Diff ] File ]
mod - src/TDF/TDF_Delta.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_CORCommands.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_OtherCommands.cxx Diff ] File ]
mod - src/TNaming/TNaming.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_kpart.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_mergePDS.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprclo.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuildEdges.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_CorrectFace2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ffsfs.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FREGU.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FuseFace.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Grid.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridEE.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridFF.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_KPart.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_kpkole.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_PaveSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_SplitEdge.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_SREGU.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Tools2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_VertexInfo.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeSet.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Dumper.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EdgeInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EIR.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FilterFaceInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FIR.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessEdgeInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessFaceInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUS.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_ShapeTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferInput.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferProcess.gxx Diff ] File ]
mod - src/Units/Units_Sentence.cxx Diff ] File ]
mod - src/V3d/V3d_PerspectiveView.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_FilletCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-02 03:54 barbier New Issue
2014-01-02 03:54 barbier Assigned To => bugmaster
2014-01-02 04:17 barbier Note Added: 0027372
2014-01-02 11:32 abv Assigned To bugmaster => abv
2014-01-02 11:32 abv Status new => resolved
2014-01-03 11:47 abv Relationship added parent of 0024513
2014-01-03 12:13 abv Note Added: 0027379
2014-01-03 12:13 abv Assigned To abv => bugmaster
2014-01-03 12:13 abv Status resolved => reviewed
2014-01-03 12:40 barbier Note Added: 0027381
2014-01-08 10:39 bugmaster Assigned To bugmaster => mkv
2014-01-09 11:22 mkv Note Added: 0027411
2014-01-09 11:22 mkv Test case number => Not needed
2014-01-09 11:22 mkv Assigned To mkv => bugmaster
2014-01-09 11:22 mkv Status reviewed => tested
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding
2014-01-11 16:19 barbier Note Added: 0027443
2014-01-12 17:36 abv Note Added: 0027445
2014-01-12 17:39 abv Note Edited: 0027445 View Revisions
2014-01-13 10:12 abv Note Added: 0027449
2014-01-13 10:43 bugmaster Changeset attached => occt master 96a95605
2014-01-13 10:43 bugmaster Status tested => verified
2014-01-13 10:43 bugmaster Resolution open => fixed
2014-01-13 10:48 bugmaster Target Version => 6.7.1
2014-02-07 20:18 abv Note Added: 0027819
2014-05-05 13:34 user533 Status verified => closed
2014-05-05 13:37 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker